# TODO: package the vim syntax file.
Summary:	A tool for converting text files to various formats
Summary(pl.UTF-8):	Narzędzie do konwersji plików tekstowych do różnych formatów
Name:		asciidoc
Version:	8.6.8
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	http://downloads.sourceforge.net/asciidoc/%{name}-%{version}.tar.gz
# Source0-md5:	6ffff1ab211f30481741ce4d1e4b12bf
URL:		http://www.methods.co.nz/asciidoc/index.html
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
Requires:	python >= 2.3
Requires:	python-modules >= 2.3
Requires:	xmlto
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		sysconfdir	/etc/asciidoc

%description
AsciiDoc is a text document format for writing short documents,
articles, books and UNIX man pages. AsciiDoc files can be translated
to HTML (with or without stylesheets), DocBook and LinuxDoc markup
using the asciidoc(1) command. AsciiDoc is highly configurable: both
the AsciiDoc source file syntax and the backend output markups (which
can be almost any type of SGML/XML markup) can be customized and
extended by the user.

%description -l pl.UTF-8
AsciiDoc jest formatem dokumentów tekstowych do pisania krótkich
dokumentów, artykułów, książek i podręczników systemu UNIX. Pliki
AsciiDoc mogą być tłumaczone do HTML-a (z lub bez CSS), DocBooka i
LinuxDoca używając polecenia asciidoc(1). AsciiDoc jest wysoce
konfigurowalny: zarówno składnia plików źródłowych, jak i znaczniki
backendów (które mogą być dowolnego typu SGML/XML) mogą być
dostosowywane i rozszerzane przez użytkownika.

%prep
%setup -q

sed -i -e '1s|^#!/usr/bin/env python|#!/usr/bin/python|' asciidoc.py a2x.py

%build
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
install -d $RPM_BUILD_ROOT%{sysconfdir}/{dblatex,docbook-xsl,filters/{code,graphviz,latex,music,source},stylesheets}
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}/{images/icons/callouts,javascripts}

install asciidoc.py $RPM_BUILD_ROOT%{_bindir}/asciidoc
install a2x.py $RPM_BUILD_ROOT%{_bindir}/a2x
install doc/*.1 $RPM_BUILD_ROOT%{_mandir}/man1

install *.conf $RPM_BUILD_ROOT%{sysconfdir}
install dblatex/*.{xsl,sty} $RPM_BUILD_ROOT%{sysconfdir}/dblatex
install docbook-xsl/*.xsl $RPM_BUILD_ROOT%{sysconfdir}/docbook-xsl
install filters/code/*.{py,conf} $RPM_BUILD_ROOT%{sysconfdir}/filters/code
install filters/graphviz/*.{py,conf} $RPM_BUILD_ROOT%{sysconfdir}/filters/graphviz
install filters/latex/*.{py,conf} $RPM_BUILD_ROOT%{sysconfdir}/filters/latex
install filters/music/*.{py,conf} $RPM_BUILD_ROOT%{sysconfdir}/filters/music
install filters/source/*.conf $RPM_BUILD_ROOT%{sysconfdir}/filters/source
install stylesheets/*.css $RPM_BUILD_ROOT%{sysconfdir}/stylesheets
ln -s %{_datadir}/%{name}/images $RPM_BUILD_ROOT%{sysconfdir}/images
ln -s %{_datadir}/%{name}/javascripts $RPM_BUILD_ROOT%{sysconfdir}/javascripts
install images/icons/callouts/* $RPM_BUILD_ROOT%{_datadir}/%{name}/images/icons/callouts
install images/icons/README images/icons/*.png $RPM_BUILD_ROOT%{_datadir}/%{name}/images/icons
install javascripts/*.js $RPM_BUILD_ROOT%{_datadir}/%{name}/javascripts

#    if [ -d $VIM_RPM_BUILD_ROOT%{sysconfdir} ]; then
#        install -d $VIM_RPM_BUILD_ROOT%{sysconfdir}/syntax
#        install -m 644 vim/syntax/asciidoc.vim \
#                       $VIM_RPM_BUILD_ROOT%{sysconfdir}/syntax/asciidoc.vim
#        install -d $VIM_RPM_BUILD_ROOT%{sysconfdir}/ftdetect
#        install -m 644 vim/ftdetect/asciidoc_filetype.vim \
#                       $VIM_RPM_BUILD_ROOT%{sysconfdir}/ftdetect/asciidoc_filetype.vim
#    fi
%{__rm} -r examples/website

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS CHANGELOG COPYRIGHT README doc/asciidoc.txt examples
%attr(755,root,root) %{_bindir}/a2x
%attr(755,root,root) %{_bindir}/asciidoc
%dir %{sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{sysconfdir}/*.conf
%dir %{sysconfdir}/dblatex
%{sysconfdir}/dblatex/*.sty
%{sysconfdir}/dblatex/*.xsl
%dir %{sysconfdir}/docbook-xsl
%{sysconfdir}/docbook-xsl/*.xsl
%dir %{sysconfdir}/filters
%dir %{sysconfdir}/filters/code
%config(noreplace) %verify(not md5 mtime size) %{sysconfdir}/filters/code/code-filter.conf
%attr(755,root,root) %{sysconfdir}/filters/code/code-filter.py
%dir %{sysconfdir}/filters/graphviz
%config(noreplace) %verify(not md5 mtime size) %{sysconfdir}/filters/graphviz/graphviz-filter.conf
%attr(755,root,root) %{sysconfdir}/filters/graphviz/graphviz2png.py
%dir %{sysconfdir}/filters/music
%config(noreplace) %verify(not md5 mtime size) %{sysconfdir}/filters/music/music-filter.conf
%attr(755,root,root) %{sysconfdir}/filters/music/music2png.py
%dir %{sysconfdir}/filters/source
%config(noreplace) %verify(not md5 mtime size) %{sysconfdir}/filters/source/source-highlight-filter.conf
%dir %{sysconfdir}/filters/latex
%config(noreplace) %verify(not md5 mtime size) %{sysconfdir}/filters/latex/latex-filter.conf
%attr(755,root,root) %{sysconfdir}/filters/latex/latex2png.py
%{sysconfdir}/images
%{sysconfdir}/javascripts
%dir %{sysconfdir}/stylesheets
%{sysconfdir}/stylesheets/*.css
%{_datadir}/%{name}
%{_mandir}/man1/a2x.1*
%{_mandir}/man1/asciidoc.1*
%changelog
* Mon Dec 31 2012 Łukasz Kieś <kiesiu@pld-linux.org> a3497f7
- updated to 8.6.8

* Sun Sep 11 2011 Jakub Bogusz <qboosh@pld-linux.org> d4b5b86
- updated to 8.6.6

* Wed May 25 2011 Jakub Bogusz <qboosh@pld-linux.org> 0fa831d
- updated to 8.6.5

* Mon Feb 21 2011 Jakub Bogusz <qboosh@pld-linux.org> 31f8a32
- updated to 8.6.4

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> d62a141
- BR: rpm-pythonprov

* Wed Nov 17 2010 Jakub Bogusz <qboosh@pld-linux.org> 829ac3f
- updated to 8.6.3

* Thu Nov 04 2010 Jakub Bogusz <qboosh@pld-linux.org> 8eb1c8a
- updated to 8.6.2
- removed obsolete safe patch

* Sun Jul 26 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> a60a50f
- up to 8.4.5

* Fri Dec 19 2008 Adam Gołębiowski <adamg@pld-linux.org> 73dee59
- updated to 8.3.1

* Fri Dec 12 2008 radek <radek@pld-linux.org> 481412f
- fix timstamps in spec changelog

* Tue Sep 02 2008 Jakub Bogusz <qboosh@pld-linux.org> 4458430
- added safe patch, works now
- release 2

* Tue Sep 02 2008 Jakub Bogusz <qboosh@pld-linux.org> 531052c
- asciidoc system dir is safe

* Sun Jul 20 2008 Jakub Bogusz <qboosh@pld-linux.org> 8be9b2d
- updated to 8.2.7

* Sun Mar 23 2008 Jakub Bogusz <qboosh@pld-linux.org> 5675ed0
- actually package data
- FHS fix: javascripts and images back to /usr/share;
  let's consider the rest of dirs as potentially containing configuration

* Sun Mar 16 2008 witekfl <witekfl@pld-linux.org> 742e589
- up to 8.2.5
- Source URL points to faster sourceforge
- all files moved to /etc/asciidoc like in the original
- added TODO

* Thu Jul 19 2007 witekfl <witekfl@pld-linux.org> a8206f1
- run sed only on the first line

* Wed Jul 18 2007 witekfl <witekfl@pld-linux.org> d0e0c45
- s|/#!/usr/bin/env python|#!/usr/bin/python|
- rel 3

* Wed Feb 14 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> ebdc84f
- drop examples; too many symlinks pointing to nowhere

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 465ba12
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3dc0343
- converted to UTF-8

